=== debian/changelog ===
fonts-inter (3.19+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 15 Aug 2021 11:46:16 +0200

fonts-inter (3.19+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 20 Jun 2021 21:50:33 +0200

fonts-inter (3.18+ds-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.1.
  * d/watch: added filemangle for repacking.
  * Drop unused lintian override.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 01 Apr 2021 08:23:23 +0200

fonts-inter (3.15+ds-3) unstable; urgency=medium

  * d/rules: Patch adding --expand-features-to-instances for fontmake.
    Thanks Bart Martens. (Closes: #978365)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 23 Feb 2021 06:41:28 +0100
