## fonts-inter 4.0~beta7+ds

=== Makefile ===
# List all targets with 'make list'
SRCDIR   := $(abspath $(lastword $(MAKEFILE_LIST))/..)
FONTDIR  := build/fonts
UFODIR   := build/ufo
BIN      := $(SRCDIR)/build/venv/bin
VENV     := build/venv/bin/activate
VERSION  := $(shell cat version.txt)
MAKEFILE := $(lastword $(MAKEFILE_LIST))

export PATH := $(BIN):$(PATH)

default: all

# ---------------------------------------------------------------------------------
# intermediate sources

$(UFODIR)/%.glyphs: src/%.glyphspackage | $(UFODIR) venv
	. $(VENV) ; build/venv/bin/glyphspkg -o $(dir $@) $^

# features
src/features: $(wildcard src/features/*)
	@touch "$@"
	@true
$(UFODIR)/features: src/features
	@mkdir -p $(UFODIR)
	@rm -f $(UFODIR)/features
	@ln -s ../../src/features $(UFODIR)/features

# designspace
$(UFODIR)/%.designspace: $(UFODIR)/%.glyphs $(UFODIR)/features | venv
	. $(VENV) ; fontmake -o ufo -g $< --designspace-path $@ \
		--master-dir $(UFODIR) --instance-dir $(UFODIR)
	. $(VENV) ; python misc/tools/postprocess-designspace.py $@

# UFOs from designspace
$(UFODIR)/Inter-%Italic.ufo: $(UFODIR)/Inter-Italic.designspace | venv
	. $(VENV) ; bash misc/tools/gen-instance-ufo.sh $< $@
$(UFODIR)/Inter-%.ufo: $(UFODIR)/Inter-Roman.designspace | venv
	. $(VENV) ; bash misc/tools/gen-instance-ufo.sh $< $@

# make sure intermediate files are not rm'd by make
.PRECIOUS: \
	$(UFODIR)/Inter-Black.ufo \
	$(UFODIR)/Inter-Regular.ufo \
	$(UFODIR)/Inter-Thin.ufo \
	$(UFODIR)/Inter-Light.ufo \
	$(UFODIR)/Inter-ExtraLight.ufo \
	$(UFODIR)/Inter-Medium.ufo \
	$(UFODIR)/Inter-SemiBold.ufo \
	$(UFODIR)/Inter-Bold.ufo \
	$(UFODIR)/Inter-ExtraBold.ufo \
	\
	$(UFODIR)/Inter-BlackItalic.ufo \
	$(UFODIR)/Inter-Italic.ufo \
	$(UFODIR)/Inter-ThinItalic.ufo \
	$(UFODIR)/Inter-LightItalic.ufo \
	$(UFODIR)/Inter-ExtraLightItalic.ufo \
	$(UFODIR)/Inter-MediumItalic.ufo \
	$(UFODIR)/Inter-SemiBoldItalic.ufo \
	$(UFODIR)/Inter-BoldItalic.ufo \
	$(UFODIR)/Inter-ExtraBoldItalic.ufo \
	\
	$(UFODIR)/Inter-DisplayBlack.ufo \
	$(UFODIR)/Inter-Display.ufo \
	$(UFODIR)/Inter-DisplayThin.ufo \
	$(UFODIR)/Inter-DisplayLight.ufo \
	$(UFODIR)/Inter-DisplayExtraLight.ufo \
	$(UFODIR)/Inter-DisplayMedium.ufo \
	$(UFODIR)/Inter-DisplaySemiBold.ufo \
	$(UFODIR)/Inter-DisplayBold.ufo \
	$(UFODIR)/Inter-DisplayExtraBold.ufo \
	\
	$(UFODIR)/Inter-DisplayBlackItalic.ufo \
	$(UFODIR)/Inter-DisplayItalic.ufo \
	$(UFODIR)/Inter-DisplayThinItalic.ufo \
	$(UFODIR)/Inter-DisplayLightItalic.ufo \
	$(UFODIR)/Inter-DisplayExtraLightItalic.ufo \
	$(UFODIR)/Inter-DisplayMediumItalic.ufo \
	$(UFODIR)/Inter-DisplaySemiBoldItalic.ufo \
	$(UFODIR)/Inter-DisplayBoldItalic.ufo \
	$(UFODIR)/Inter-DisplayExtraBoldItalic.ufo \
	\
	$(UFODIR)/Inter-Roman.glyphs \
	$(UFODIR)/Inter-Italic.glyphs \
	$(UFODIR)/Inter-Roman.designspace \
	$(UFODIR)/Inter-Italic.designspace

# ---------------------------------------------------------------------------------
# products

$(FONTDIR)/static/%.otf: $(UFODIR)/%.ufo | $(FONTDIR)/static venv
	. $(VENV) ; fontmake -u $< -o otf --output-path $@ --overlaps-backend pathops --production-names

$(FONTDIR)/static/%.ttf: $(UFODIR)/%.ufo | $(FONTDIR)/static venv
	. $(VENV) ; fontmake -u $< -o ttf --output-path $@ --overlaps-backend pathops --production-names

$(FONTDIR)/static-hinted/%.ttf: $(FONTDIR)/static/%.ttf | $(FONTDIR)/static-hinted venv
	. $(VENV) ; python -m ttfautohint --no-info "$<" "$@"

$(FONTDIR)/var/_%.var.ttf: $(UFODIR)/%.designspace | $(FONTDIR)/var venv
	. $(VENV) ; fontmake -o variable -m $< --output-path $@ \
	              --overlaps-backend pathops --production-names

$(FONTDIR)/var/_%.var.otf: $(UFODIR)/%.designspace | $(FONTDIR)/var venv
	. $(VENV) ; fontmake -o variable-cff2 -m $< --output-path $@ \
	              --overlaps-backend pathops --production-names

%.woff2: %.ttf | venv
	. $(VENV) ; misc/tools/woff2 compress -o "$@" "$<"

$(FONTDIR)/static:
	mkdir -p $@
$(FONTDIR)/static-hinted:
	mkdir -p $@
$(FONTDIR)/var:
	mkdir -p $@
$(UFODIR):
	mkdir -p $@

# roman + italic with STAT
$(FONTDIR)/var/inter-roman-and-italic.stamp: \
	  $(FONTDIR)/var/_Inter-Roman.var.ttf \
	  $(FONTDIR)/var/_Inter-Italic.var.ttf \
	  | venv
	@#. $(VENV) ; python misc/tools/postprocess-vf2.py $^
	mkdir $(FONTDIR)/var/gen-stat
	. $(VENV) ; gftools gen-stat --out $(FONTDIR)/var/gen-stat $^
	mv $(FONTDIR)/var/gen-stat/_Inter-Roman.var.ttf $(FONTDIR)/var/Inter.var.ttf
	mv $(FONTDIR)/var/gen-stat/_Inter-Italic.var.ttf $(FONTDIR)/var/Inter-Italic.var.ttf
	rm -rf $(FONTDIR)/var/gen-stat
	touch $@

$(FONTDIR)/var/Inter.var.ttf: $(FONTDIR)/var/inter-roman-and-italic.stamp
	touch $@
$(FONTDIR)/var/Inter-Italic.var.ttf: $(FONTDIR)/var/inter-roman-and-italic.stamp
	touch $@

$(FONTDIR)/var/InterV.var.ttf: $(FONTDIR)/var/Inter.var.ttf | venv
	. $(VENV) ; python misc/tools/rename.py --family "Inter V" -o $@ $<
$(FONTDIR)/var/InterV-Italic.var.ttf: $(FONTDIR)/var/Inter-Italic.var.ttf | venv
	. $(VENV) ; python misc/tools/rename.py --family "Inter V" -o $@ $<

var: \
	$(FONTDIR)/var/Inter.var.ttf \
	$(FONTDIR)/var/Inter-Italic.var.ttf \
	$(FONTDIR)/var/InterV.var.ttf \
	$(FONTDIR)/var/InterV-Italic.var.ttf

var_web: \
	$(FONTDIR)/var/Inter.var.woff2 \
	$(FONTDIR)/var/Inter-Italic.var.woff2

web: var_web static_web

static_otf: \
	$(FONTDIR)/static/Inter-Black.otf \
	$(FONTDIR)/static/Inter-BlackItalic.otf \
	$(FONTDIR)/static/Inter-Regular.otf \
	$(FONTDIR)/static/Inter-Italic.otf \
	$(FONTDIR)/static/Inter-Thin.otf \
	$(FONTDIR)/static/Inter-ThinItalic.otf \
	$(FONTDIR)/static/Inter-Light.otf \
	$(FONTDIR)/static/Inter-LightItalic.otf \
	$(FONTDIR)/static/Inter-ExtraLight.otf \
	$(FONTDIR)/static/Inter-ExtraLightItalic.otf \
	$(FONTDIR)/static/Inter-Medium.otf \
	$(FONTDIR)/static/Inter-MediumItalic.otf \
	$(FONTDIR)/static/Inter-SemiBold.otf \
	$(FONTDIR)/static/Inter-SemiBoldItalic.otf \
	$(FONTDIR)/static/Inter-Bold.otf \
	$(FONTDIR)/static/Inter-BoldItalic.otf \
	$(FONTDIR)/static/Inter-ExtraBold.otf \
	$(FONTDIR)/static/Inter-ExtraBoldItalic.otf \
	$(FONTDIR)/static/Inter-DisplayBlack.otf \
	$(FONTDIR)/static/Inter-DisplayBlackItalic.otf \
	$(FONTDIR)/static/Inter-Display.otf \
	$(FONTDIR)/static/Inter-DisplayItalic.otf \
	$(FONTDIR)/static/Inter-DisplayThin.otf \
	$(FONTDIR)/static/Inter-DisplayThinItalic.otf \
	$(FONTDIR)/static/Inter-DisplayLight.otf \
	$(FONTDIR)/static/Inter-DisplayLightItalic.otf \
	$(FONTDIR)/static/Inter-DisplayExtraLight.otf \
	$(FONTDIR)/static/Inter-DisplayExtraLightItalic.otf \
	$(FONTDIR)/static/Inter-DisplayMedium.otf \
	$(FONTDIR)/static/Inter-DisplayMediumItalic.otf \
	$(FONTDIR)/static/Inter-DisplaySemiBold.otf \
	$(FONTDIR)/static/Inter-DisplaySemiBoldItalic.otf \
	$(FONTDIR)/static/Inter-DisplayBold.otf \
	$(FONTDIR)/static/Inter-DisplayBoldItalic.otf \
	$(FONTDIR)/static/Inter-DisplayExtraBold.otf \
	$(FONTDIR)/static/Inter-DisplayExtraBoldItalic.otf

static_ttf: \
	$(FONTDIR)/static/Inter-Black.ttf \
	$(FONTDIR)/static/Inter-BlackItalic.ttf \
	$(FONTDIR)/static/Inter-Regular.ttf \
	$(FONTDIR)/static/Inter-Italic.ttf \
	$(FONTDIR)/static/Inter-Thin.ttf \
	$(FONTDIR)/static/Inter-ThinItalic.ttf \
	$(FONTDIR)/static/Inter-Light.ttf \
	$(FONTDIR)/static/Inter-LightItalic.ttf \
	$(FONTDIR)/static/Inter-ExtraLight.ttf \
	$(FONTDIR)/static/Inter-ExtraLightItalic.ttf \
	$(FONTDIR)/static/Inter-Medium.ttf \
	$(FONTDIR)/static/Inter-MediumItalic.ttf \
	$(FONTDIR)/static/Inter-SemiBold.ttf \
	$(FONTDIR)/static/Inter-SemiBoldItalic.ttf \
	$(FONTDIR)/static/Inter-Bold.ttf \
	$(FONTDIR)/static/Inter-BoldItalic.ttf \
	$(FONTDIR)/static/Inter-ExtraBold.ttf \
	$(FONTDIR)/static/Inter-ExtraBoldItalic.ttf \
	$(FONTDIR)/static/Inter-DisplayBlack.ttf \
	$(FONTDIR)/static/Inter-DisplayBlackItalic.ttf \
	$(FONTDIR)/static/Inter-Display.ttf \
	$(FONTDIR)/static/Inter-DisplayItalic.ttf \
	$(FONTDIR)/static/Inter-DisplayThin.ttf \
	$(FONTDIR)/static/Inter-DisplayThinItalic.ttf \
	$(FONTDIR)/static/Inter-DisplayLight.ttf \
	$(FONTDIR)/static/Inter-DisplayLightItalic.ttf \
	$(FONTDIR)/static/Inter-DisplayExtraLight.ttf \
	$(FONTDIR)/static/Inter-DisplayExtraLightItalic.ttf \
	$(FONTDIR)/static/Inter-DisplayMedium.ttf \
	$(FONTDIR)/static/Inter-DisplayMediumItalic.ttf \
	$(FONTDIR)/static/Inter-DisplaySemiBold.ttf \
	$(FONTDIR)/static/Inter-DisplaySemiBoldItalic.ttf \
	$(FONTDIR)/static/Inter-DisplayBold.ttf \
	$(FONTDIR)/static/Inter-DisplayBoldItalic.ttf \
	$(FONTDIR)/static/Inter-DisplayExtraBold.ttf \
	$(FONTDIR)/static/Inter-DisplayExtraBoldItalic.ttf

static_ttf_hinted: \
	$(FONTDIR)/static-hinted/Inter-Black.ttf \
	$(FONTDIR)/static-hinted/Inter-BlackItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-Regular.ttf \
	$(FONTDIR)/static-hinted/Inter-Italic.ttf \
	$(FONTDIR)/static-hinted/Inter-Thin.ttf \
	$(FONTDIR)/static-hinted/Inter-ThinItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-Light.ttf \
	$(FONTDIR)/static-hinted/Inter-LightItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-ExtraLight.ttf \
	$(FONTDIR)/static-hinted/Inter-ExtraLightItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-Medium.ttf \
	$(FONTDIR)/static-hinted/Inter-MediumItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-SemiBold.ttf \
	$(FONTDIR)/static-hinted/Inter-SemiBoldItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-Bold.ttf \
	$(FONTDIR)/static-hinted/Inter-BoldItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-ExtraBold.ttf \
	$(FONTDIR)/static-hinted/Inter-ExtraBoldItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayBlack.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayBlackItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-Display.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayThin.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayThinItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayLight.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayLightItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayExtraLight.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayExtraLightItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayMedium.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayMediumItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplaySemiBold.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplaySemiBoldItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayBold.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayBoldItalic.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayExtraBold.ttf \
	$(FONTDIR)/static-hinted/Inter-DisplayExtraBoldItalic.ttf

static_web: \
	$(FONTDIR)/static/Inter-Black.woff2 \
	$(FONTDIR)/static/Inter-BlackItalic.woff2 \
	$(FONTDIR)/static/Inter-Regular.woff2 \
	$(FONTDIR)/static/Inter-Italic.woff2 \
	$(FONTDIR)/static/Inter-Thin.woff2 \
	$(FONTDIR)/static/Inter-ThinItalic.woff2 \
	$(FONTDIR)/static/Inter-Light.woff2 \
	$(FONTDIR)/static/Inter-LightItalic.woff2 \
	$(FONTDIR)/static/Inter-ExtraLight.woff2 \
	$(FONTDIR)/static/Inter-ExtraLightItalic.woff2 \
	$(FONTDIR)/static/Inter-Medium.woff2 \
	$(FONTDIR)/static/Inter-MediumItalic.woff2 \
	$(FONTDIR)/static/Inter-SemiBold.woff2 \
	$(FONTDIR)/static/Inter-SemiBoldItalic.woff2 \
	$(FONTDIR)/static/Inter-Bold.woff2 \
	$(FONTDIR)/static/Inter-BoldItalic.woff2 \
	$(FONTDIR)/static/Inter-ExtraBold.woff2 \
	$(FONTDIR)/static/Inter-ExtraBoldItalic.woff2 \
	$(FONTDIR)/static/Inter-DisplayBlack.woff2 \
	$(FONTDIR)/static/Inter-DisplayBlackItalic.woff2 \
	$(FONTDIR)/static/Inter-Display.woff2 \
	$(FONTDIR)/static/Inter-DisplayItalic.woff2 \
	$(FONTDIR)/static/Inter-DisplayThin.woff2 \
	$(FONTDIR)/static/Inter-DisplayThinItalic.woff2 \
	$(FONTDIR)/static/Inter-DisplayLight.woff2 \
	$(FONTDIR)/static/Inter-DisplayLightItalic.woff2 \
	$(FONTDIR)/static/Inter-DisplayExtraLight.woff2 \
	$(FONTDIR)/static/Inter-DisplayExtraLightItalic.woff2 \
	$(FONTDIR)/static/Inter-DisplayMedium.woff2 \
	$(FONTDIR)/static/Inter-DisplayMediumItalic.woff2 \
	$(FONTDIR)/static/Inter-DisplaySemiBold.woff2 \
	$(FONTDIR)/static/Inter-DisplaySemiBoldItalic.woff2 \
	$(FONTDIR)/static/Inter-DisplayBold.woff2 \
	$(FONTDIR)/static/Inter-DisplayBoldItalic.woff2 \
	$(FONTDIR)/static/Inter-DisplayExtraBold.woff2 \
	$(FONTDIR)/static/Inter-DisplayExtraBoldItalic.woff2
