=== requirements.txt ===
fontmake==3.4.*
fontbakery==0.8.*
skia-pathops==0.7.*
gftools==0.9.*
glyphspkg==0.1.*
brotli==1.0.*
