=== debian/changelog ===
fonts-inter (4.0~beta7+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 26 Oct 2022 16:33:51 +0200

fonts-inter (4.0~beta6+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 18 Oct 2022 10:24:26 +0200

fonts-inter (4.0~beta5+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 10 Oct 2022 07:10:34 +0200

fonts-inter (4.0~beta1+ds-2) unstable; urgency=medium

  * Upload to sid.

 -- Gürkan Myczko <tar@debian.org>  Sun, 02 Oct 2022 19:59:05 +0200

fonts-inter (4.0~beta1+ds-1) experimental; urgency=medium

  * New upstream version. (Closes: #1017286)
  * Switch to upstream prebuilt fonts due to unavailable
    building tools of upstream.
  * Bump standards version to 4.6.1.
  * Update maintainer email.
  * d/copyright: bump years.
  * d/*.install: updated paths.
  * d/rules: skip building.

 -- Gürkan Myczko <tar@debian.org>  Fri, 30 Sep 2022 15:02:43 +0200
