=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), fontmake, ufo2otf, python3-fontforge, fontforge-nox | fontforge
-Standards-Version: 4.5.1
+Uploaders: Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+# commented out for the future, when we switch to build from source again
+# fontmake, ufo2otf, python3-fontforge, fontforge-nox | fontforge
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-inter.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-inter
